"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TTSFormat = exports.TraceLevel = exports.PipelineProfile = void 0;

/**
 * Pipeline profiles set up the speech pipeline based on your needs
 */
let PipelineProfile;
/**
 * How much logging to show
 * A lower number means more logs.
 */

exports.PipelineProfile = PipelineProfile;

(function (PipelineProfile) {
  PipelineProfile[PipelineProfile["TFLITE_WAKEWORD_NATIVE_ASR"] = 0] = "TFLITE_WAKEWORD_NATIVE_ASR";
  PipelineProfile[PipelineProfile["VAD_NATIVE_ASR"] = 1] = "VAD_NATIVE_ASR";
  PipelineProfile[PipelineProfile["PTT_NATIVE_ASR"] = 2] = "PTT_NATIVE_ASR";
  PipelineProfile[PipelineProfile["TFLITE_WAKEWORD_SPOKESTACK_ASR"] = 3] = "TFLITE_WAKEWORD_SPOKESTACK_ASR";
  PipelineProfile[PipelineProfile["VAD_SPOKESTACK_ASR"] = 4] = "VAD_SPOKESTACK_ASR";
  PipelineProfile[PipelineProfile["PTT_SPOKESTACK_ASR"] = 5] = "PTT_SPOKESTACK_ASR";
  PipelineProfile[PipelineProfile["TFLITE_WAKEWORD_KEYWORD"] = 6] = "TFLITE_WAKEWORD_KEYWORD";
  PipelineProfile[PipelineProfile["VAD_KEYWORD_ASR"] = 7] = "VAD_KEYWORD_ASR";
})(PipelineProfile || (exports.PipelineProfile = PipelineProfile = {}));

let TraceLevel;
/**
 * Three formats are supported when using Spokestack TTS.
 * Raw text, SSML, and Speech Markdown.
 * See https://www.speechmarkdown.org/ if unfamiliar with Speech Markdown.
 * IPA is expected when using SSML or Speech Markdown.
 */

exports.TraceLevel = TraceLevel;

(function (TraceLevel) {
  TraceLevel[TraceLevel["DEBUG"] = 10] = "DEBUG";
  TraceLevel[TraceLevel["PERF"] = 20] = "PERF";
  TraceLevel[TraceLevel["INFO"] = 30] = "INFO";
  TraceLevel[TraceLevel["NONE"] = 100] = "NONE";
})(TraceLevel || (exports.TraceLevel = TraceLevel = {}));

let TTSFormat;
exports.TTSFormat = TTSFormat;

(function (TTSFormat) {
  TTSFormat[TTSFormat["TEXT"] = 0] = "TEXT";
  TTSFormat[TTSFormat["SSML"] = 1] = "SSML";
  TTSFormat[TTSFormat["SPEECHMARKDOWN"] = 2] = "SPEECHMARKDOWN";
})(TTSFormat || (exports.TTSFormat = TTSFormat = {}));
//# sourceMappingURL=types.js.map